<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		christian.rodriguez
@version 		2.0
@description	Tablas de resumenes al crear inmuebles nuevos
@param 			managedBeanParam: 	nombre del managed bean
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria seleccionada

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui">

    <p:outputPanel rendered="#{not empty registroOfertaInmob.locales}">
        <ui:include src="tablaResumenLocales.xhtml">
            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
        </ui:include>
    </p:outputPanel>

    <p:outputPanel
        rendered="#{not empty registroOfertaInmob.oficinasConsultorios}">
        <ui:include src="tablaResumenOficinasConsultorios.xhtml">
            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
        </ui:include>
    </p:outputPanel>

    <p:outputPanel rendered="#{not empty registroOfertaInmob.bodegas}">
        <ui:include src="tablaResumenBodegas.xhtml">
            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
        </ui:include>
    </p:outputPanel>

    <p:outputPanel rendered="#{not empty registroOfertaInmob.parqueaderos}">
        <ui:include src="tablaResumenParqueaderos.xhtml">
            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
        </ui:include>
    </p:outputPanel>

    <p:outputPanel
        rendered="#{not empty registroOfertaInmob.casasAptosSHs}">
        <ui:include src="tablaResumenCasasAptosSHs.xhtml">
            <ui:param name="managedBeanParam" value="#{registroOfertaInmob}" />
        </ui:include>
    </p:outputPanel>

</h:panelGrid>
